Get Refinement
curl --request GET \
--url https://api.example.com/api/v1/refinements/{refinement_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/refinements/{refinement_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/refinements/{refinement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analysis": "<string>",
"assignee_id": "<string>",
"board_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"decisions": [
"<string>"
],
"description": "<string>",
"id": "<string>",
"ideation_id": "<string>",
"in_scope": [
"<string>"
],
"labels": [
"<string>"
],
"out_of_scope": [
"<string>"
],
"status": "draft",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"architecture_designs": [],
"archived": false,
"knowledge_bases": [],
"pre_archive_status": "<string>",
"qa_items": [],
"screen_mockups": [
{
"id": "<string>",
"title": "<string>",
"annotations": [
{
"id": "<string>",
"text": "<string>",
"author_id": "<string>"
}
],
"description": "<string>",
"html_content": "",
"order": 0,
"screen_type": "page"
}
],
"specs": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}refinements
Get Refinement
Get a refinement by ID with nested data.
GET
/
api
/
v1
/
refinements
/
{refinement_id}
Get Refinement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Schema for full refinement response.
Refinement lifecycle status.
Available options:
draft, review, approved, done, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026